GREETINGS = {
    'Herr': 'Sehr geehrter Herr',
    'Frau': 'Sehr geehrte Frau',
}


def write_mail_table(filename, data):
    """From read-in data generate output for sending hashes to students via mail."""

    data['full_name'] = data['Vorname'] + ' ' + data['Nachname']
    data['greeting'] = data['Anrede'].map(GREETINGS) + ' ' + data['full_name']

    data.to_csv(filename, columns=['greeting', 'E-Mail', 'hash'], index=False)
